def searchStringChanged(text):
	from RoadCentre import project
	searchStringChanged.res_list.clear()
	ltext=text.lower()
	for obj_name in searchStringChanged.objectList:
		if obj_name.lower().find(ltext)>=0:
			searchStringChanged.res_list.addItem(obj_name)
	del project
	if searchStringChanged.res_list.count!=0:
		searchStringChanged.res_list.currentRow=0

def searchComplete():
	sel_items=searchStringChanged.res_list.selectedItems()
	if len(sel_items)==0:
		return
	if sel_items[0].text() not in searchStringChanged.objectList:
		return
	from actions import findController
	findController(searchStringChanged.objectList[sel_items[0].text()].id)

def runSearch():
	import gui
	search_wnd=gui.widgetFromUi('AddressSearch.ui')
	del gui
	if not search_wnd:
		return
	s_str=search_wnd.findChild('QLineEdit','searchString')
	if not s_str:
		return
	searchStringChanged.res_list=search_wnd.findChild('QListWidget','searchResult')
	if not searchStringChanged.res_list:
		return
	b_box=search_wnd.findChild('QDialogButtonBox','buttonBox')
	if not b_box:
		return
	b_box.connect('accepted()',searchComplete)

	s_str.connect('textChanged(const QString &)',searchStringChanged)
	searchStringChanged.objectList={}
	from RoadCentre import project
	for obj in project.objects():
		if not obj.inherits("Spectr::Light"):
			continue
		if obj.description not in searchStringChanged.objectList:
			searchStringChanged.objectList[obj.description]=obj
	del project
	search_wnd.show()
