# -*- coding: utf-8 -*-
"""
Финал инициализации графического интерфейса пользователя:
восстановления вида окна из предыдущего сеанса
отображение главного окна приложения

(c)2012 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""
from PythonQt import QtGui
import gui

QtGui.QApplication.instance().connect('aboutToQuit()', gui.mainWindowSave)

gui.mainWindowResore()
gui.mainWindow.show()
if hasattr(gui.osmView,'operationWidget'):
    gui.osmView.operationWidget.setSmooth(True)

from settings import userSettings
if userSettings.value("gui/show_preview_phases",False):
    try:
        gui.mainWindow.findChild("QObject","crossView").showPreviewButtons(True)
    except: pass
